documentation:
  description: Example recipe that plots a map and timeseries of temperature.
  title: Recipe that runs an example diagnostic written in Python.
  authors:
  - andela_bouwe
  - righi_mattia
  maintainer:
  - schlund_manuel
  references:
  - acknow_project
  projects:
  - esmval
  - c3s-magic
preprocessors:
  to_degrees_c:
    convert_units:
      units: degrees_C
  annual_mean_bergen:
    extract_location:
      location: Bergen
      scheme: linear
    annual_statistics:
      operator: mean
    multi_model_statistics:
      statistics:
      - mean
      span: overlap
    convert_units:
      units: degrees_C
  annual_mean_global:
    area_statistics:
      operator: mean
    annual_statistics:
      operator: mean
    convert_units:
      units: degrees_C
  default: {}
diagnostics:
  map:
    description: Global map of temperature in January 2000.
    themes:
    - phys
    realms:
    - atmos
    variables:
      tas:
        caption: 'Global map of {long_name} in January 2000 according to {dataset}.

          '
        exp: historical
        mip: Amon
        preprocessor: to_degrees_c
        timerange: 2000/P1M
    scripts:
      script1:
        script: examples/diagnostic.py
        quickplot:
          plot_type: pcolormesh
          cmap: Reds
    additional_datasets:
    - dataset: BCC-ESM1
      grid: gn
      project: CMIP6
      version: v20181214
      ensemble: r1i1p1f1
  timeseries:
    description: Annual mean temperature in Amsterdam and global mean since 1850.
    themes:
    - phys
    realms:
    - atmos
    variables:
      tas_bergen:
        caption: Annual mean {long_name} in Amsterdam according to {dataset}.
        exp: historical
        mip: Amon
        preprocessor: annual_mean_bergen
        short_name: tas
        timerange: 1850/2000
        additional_datasets:
        - dataset: BCC-ESM1
          grid: gn
          project: CMIP6
          version: v20181214
          ensemble: r1i1p1f1
      tas_global:
        caption: Annual global mean {long_name} according to {dataset}.
        exp: historical
        mip: Amon
        preprocessor: annual_mean_global
        short_name: tas
        timerange: 1850/2000
        additional_datasets:
        - dataset: BCC-ESM1
          grid: gn
          project: CMIP6
          supplementary_variables:
          - short_name: areacella
            mip: fx
            exp: 1pctCO2
            activity: CMIP
            institute: BCC
            version: v20190613
          version: v20181214
          ensemble: r1i1p1f1
    scripts:
      script1:
        script: examples/diagnostic.py
        quickplot:
          plot_type: plot
datasets:
- dataset: bcc-csm1-1
  project: CMIP5
  version: v1
  ensemble: r1i1p1
